aboutsummaryrefslogtreecommitdiff
path: root/gis/saga-gis/saga-gis.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'gis/saga-gis/saga-gis.SlackBuild')
-rw-r--r--gis/saga-gis/saga-gis.SlackBuild21
1 files changed, 19 insertions, 2 deletions
diff --git a/gis/saga-gis/saga-gis.SlackBuild b/gis/saga-gis/saga-gis.SlackBuild
index b3e3baeb7f4b7..2aeb64d56b263 100644
--- a/gis/saga-gis/saga-gis.SlackBuild
+++ b/gis/saga-gis/saga-gis.SlackBuild
@@ -26,7 +26,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=saga-gis
-VERSION=${VERSION:-9.0.2}
+VERSION=${VERSION:-9.1.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -46,7 +46,6 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
-
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -68,6 +67,24 @@ fi
set -e
+# unixODBC is needed in 32 bit systems instead of libiodbc released
+# with Slackware 15.0. The slackbuild stops if unixODBC is not installed
+if [[ "$ARCH" = "i586" || "$ARCH" = "i686" ]] ; then
+ if ! [ -f /usr/lib/libodbc.so ] ; then
+ echo "";
+ echo "";
+ echo "";
+ echo "******************** WARNING *********************";
+ echo " This script cannot be executed in 32 bit systems ";
+ echo " with iODBC as default ODBC library installed. ";
+ echo " The current process will be stopped. ";
+ echo " Please install the unixODBC package from the ";
+ echo " slackbuild available in the SBo repository. ";
+ echo "**************************************************";
+ exit 1;
+ fi
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP